org.richfaces.component.html

## Enum HtmlNotifyMessage.Properties

- java.lang.Object
- - java.lang.Enum<HtmlNotifyMessage.Properties>
  - - org.richfaces.component.html.HtmlNotifyMessage.Properties

- All Implemented Interfaces:
    Serializable, Comparable<HtmlNotifyMessage.Properties>
  Enclosing class:
    HtmlNotifyMessage

      protected static enum HtmlNotifyMessage.Properties
      extends Enum<HtmlNotifyMessage.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ajaxRendered`
    `dir`
    `disabled`
    `escape`
    `keepTransient`
    `lang`
    `nonblocking`
    `nonblockingOpacity`
    `onclick`
    `ondblclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `showCloseButton`
    `showShadow`
    `stack`
    `stayTime`
    `sticky`
    `style`
    `styleClass`
    `title`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HtmlNotifyMessage.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlNotifyMessage.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ajaxRendered

          public static final HtmlNotifyMessage.Properties ajaxRendered

    - #### dir

          public static final HtmlNotifyMessage.Properties dir

    - #### disabled

          public static final HtmlNotifyMessage.Properties disabled

    - #### escape

          public static final HtmlNotifyMessage.Properties escape

    - #### keepTransient

          public static final HtmlNotifyMessage.Properties keepTransient

    - #### lang

          public static final HtmlNotifyMessage.Properties lang

    - #### nonblocking

          public static final HtmlNotifyMessage.Properties nonblocking

    - #### nonblockingOpacity

          public static final HtmlNotifyMessage.Properties nonblockingOpacity

    - #### onclick

          public static final HtmlNotifyMessage.Properties onclick

    - #### ondblclick

          public static final HtmlNotifyMessage.Properties ondblclick

    - #### onkeydown

          public static final HtmlNotifyMessage.Properties onkeydown

    - #### onkeypress

          public static final HtmlNotifyMessage.Properties onkeypress

    - #### onkeyup

          public static final HtmlNotifyMessage.Properties onkeyup

    - #### onmousedown

          public static final HtmlNotifyMessage.Properties onmousedown

    - #### onmousemove

          public static final HtmlNotifyMessage.Properties onmousemove

    - #### onmouseout

          public static final HtmlNotifyMessage.Properties onmouseout

    - #### onmouseover

          public static final HtmlNotifyMessage.Properties onmouseover

    - #### onmouseup

          public static final HtmlNotifyMessage.Properties onmouseup

    - #### showCloseButton

          public static final HtmlNotifyMessage.Properties showCloseButton

    - #### showShadow

          public static final HtmlNotifyMessage.Properties showShadow

    - #### stack

          public static final HtmlNotifyMessage.Properties stack

    - #### stayTime

          public static final HtmlNotifyMessage.Properties stayTime

    - #### sticky

          public static final HtmlNotifyMessage.Properties sticky

    - #### style

          public static final HtmlNotifyMessage.Properties style

    - #### styleClass

          public static final HtmlNotifyMessage.Properties styleClass

    - #### title

          public static final HtmlNotifyMessage.Properties title

  - ### Method Detail

    - #### values

          public static HtmlNotifyMessage.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlNotifyMessage.Properties c : HtmlNotifyMessage.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlNotifyMessage.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.